# -*- coding: utf-8 -*-
# Generated by Django 1.11.2 on 2017-07-05 19:25
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('banking', '0005_auto_20170211_0130'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='payment',
            name='reason_type',
        ),
        migrations.DeleteModel(
            name='Payment',
        ),
        migrations.CreateModel(
            name='RecurringPayment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'verbose_name': 'paiement récurrent',
                'verbose_name_plural': 'paiements récurrents',
            },
        ),
        migrations.CreateModel(
            name='PaymentUpdate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=9, verbose_name='Montant')),
                ('period', models.PositiveIntegerField(validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(12)], verbose_name='Période (mois)')),
                ('payment_method', models.IntegerField(choices=[(2, 'Prélèvement'), (3, 'Virement'), (1, 'Gratuit'), (0, 'Arrêt')], default=2, verbose_name='Méthode de paiement')),
                ('start', models.DateTimeField(verbose_name='Date')),
                ('validated', models.BooleanField(default=False, verbose_name='Saisie bancaire effectuée')),
                ('payment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='updates', to='banking.RecurringPayment')),
            ],
            options={
                'verbose_name': 'paiement',
                'ordering': ('-start',),
            },
        ),
    ]
