# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2016-12-30 02:58
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('banking', '0001_initial'),
        ('adhesions', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='IPResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ip', models.GenericIPAddressField()),
                ('mask', models.PositiveIntegerField(default=0, validators=[django.core.validators.MaxValueValidator(128)])),
            ],
            options={
                'verbose_name_plural': 'Ressources IP',
                'verbose_name': 'Ressource IP',
            },
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('notes', models.TextField(blank=True, default='')),
                ('start', models.DateTimeField(verbose_name='Début du service')),
                ('end', models.DateTimeField(blank=True, null=True, verbose_name='Fin du service')),
                ('adherent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='adhesions.Adherent', verbose_name='Adhérent')),
                ('contribution', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='banking.Payment')),
                ('ip_resources', models.ManyToManyField(to='services.IPResource', verbose_name='Ressources IP')),
            ],
        ),
        migrations.CreateModel(
            name='ServiceType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
            ],
            options={
                'verbose_name_plural': 'Types de service',
                'verbose_name': 'Type de service',
            },
        ),
        migrations.AddField(
            model_name='service',
            name='service_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='services.ServiceType', verbose_name='Type de service'),
        ),
    ]
