# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-05-14 20:43
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


def migrate(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    IPResource = apps.get_model('services', 'IPResource')
    NewIPResource = apps.get_model('services', 'NewIPResource')
    ResourceAllocation = apps.get_model('services', 'ResourceAllocation')
    for ip in IPResource.objects.all():
        NewIPResource.objects.create(ip=ip.ip, reserved=ip.reserved)
    for alloc in ResourceAllocation.objects.all():
        alloc.newresource = NewIPResource.objects.get(ip=alloc.resource.ip)
        alloc.save()


class Migration(migrations.Migration):

    dependencies = [
        ('services', '0020_auto_20170514_1602'),
    ]

    operations = [
        migrations.CreateModel(
            name='NewIPResource',
            fields=[
                ('ip', models.GenericIPAddressField(primary_key=True, serialize=False, verbose_name='IP')),
                ('reserved', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name': 'IP',
                'ordering': ['ip'],
                'verbose_name_plural': 'IP',
            },
        ),
        migrations.AddField(
            model_name='resourceallocation',
            name='newresource',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='allocations', related_query_name='allocation', to='services.NewIPResource', verbose_name='Ressource'),
        ),
        migrations.RunPython(migrate),
    ]
